void
MakeProp(struct Window *wnd,struct Gadget *GList)
{
  struct Gadget    *g=wnd->FirstGadget;
  struct PropInfo  *pi;

  /* Gadgets vorhanden ? */
  if( g==NULL )
    return();

  while( g != NULL ) {
    /* Existiert eine Specialinfo-Struktur ? */
    if( g->SpecialInfo ) {
      /* Ist es ein Proportional-Gadget ? */
      if(g->GadgetType & GTYP_PROPGADGET) {
        pi=(struct PropInfo *)g->SpecialInfo;
        /* Via Flag dem Gadget ein neues
         * Aussehen verpassen */
        pi->Flags |= PROPNEWLOOK;

        /* Gadget neu zeichnen */
        RefreshGadgets(GList,wnd,0);
      }
    }

    /* Nchstes Gadget holen */
    g=g->NextGadget;
  }
}

